import { Meta, StoryFn } from '@storybook/react-vite';
import { default as DialogAction } from './DialogAction';
declare const meta: Meta<typeof DialogAction>;
export default meta;
export declare const Confirmation: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const FlashMessage: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const FlashMessageAnimated: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const FlashMessageDanger: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const FlashMessageWarning: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const FlashMessageSuccess: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const FlashMessageAnimatedDanger: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const FlashMessageAnimatedWarning: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const FlashMessageAnimatedPrimary: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const ConfirmationSuccess: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const ConfirmationDanger: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const ConfirmationWarning: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const ConfirmationPrimary: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const ConfirmationNoOverlay: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
export declare const WithBodyScrollLock: StoryFn<typeof DialogAction>;
export declare const FlashMessageWithChildren: import('storybook/internal/csf').AnnotatedStoryFn<import('@storybook/react').ReactRenderer, import('./DialogAction').DialogActionProps>;
